# stl_queue.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_queue.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _QUEUE_H

## Functions

- template<typename _Tp, typename _Sequence> bool operator!= (const queue< _Tp, _Sequence > &__x, const queue< _Tp, _Sequence > &__y)
- template<typename _Tp, typename _Sequence> bool operator< (const queue< _Tp, _Sequence > &__x, const queue< _Tp, _Sequence > &__y)
- template<typename _Tp, typename _Seq> bool operator< (const queue< _Tp, _Seq > &, const queue< _Tp, _Seq > &)
- template<typename _Tp, typename _Sequence> bool operator<= (const queue< _Tp, _Sequence > &__x, const queue< _Tp, _Sequence > &__y)
- template<typename _Tp, typename _Sequence> bool operator== (const queue< _Tp, _Sequence > &__x, const queue< _Tp, _Sequence > &__y)
- template<typename _Tp, typename _Seq> bool operator== (const queue< _Tp, _Seq > &, const queue< _Tp, _Seq > &)
- template<typename _Tp, typename _Sequence> bool operator> (const queue< _Tp, _Sequence > &__x, const queue< _Tp, _Sequence > &__y)
- template<typename _Tp, typename _Sequence> bool operator>= (const queue< _Tp, _Sequence > &__x, const queue< _Tp, _Sequence > &__y)

## Function Documentation

bool std::operator!= | ( | const queue< _Tp, _Sequence > & | __x,
|  | const queue< _Tp, _Sequence > & | __y
| ) | `[inline]`

| Based on operator==. Definition at line 275 of file stl_queue.h.

bool std::operator< | ( | const queue< _Tp, _Sequence > & | __x,
|  | const queue< _Tp, _Sequence > & | __y
| ) | `[inline]`

Queue ordering relation.

Parameters:

  | x | A queue.
  | y | A queue of the same type as x.

Returns:
  True iff x is lexicographically less than y.

This is an total ordering relation. Complexity and semantics depend on the underlying sequence type, but the expected rules are: this relation is linear in the size of the sequences, the elements must be comparable with `<`, and std::lexicographical_compare() is usually used to make the determination.

Definition at line 269 of file stl_queue.h.

bool std::operator<= | ( | const queue< _Tp, _Sequence > & | __x,
|  | const queue< _Tp, _Sequence > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 288 of file stl_queue.h.

bool std::operator== | ( | const queue< _Tp, _Sequence > & | __x,
|  | const queue< _Tp, _Sequence > & | __y
| ) | `[inline]`

Queue equality comparison.

Parameters:

  | x | A queue.
  | y | A queue of the same type as x.

Returns:
  True iff the size and elements of the queues are equal.

This is an equivalence relation. Complexity and semantics depend on the underlying sequence type, but the expected rules are: this relation is linear in the size of the sequences, and queues are considered equivalent if their sequences compare equal.

Definition at line 250 of file stl_queue.h.

References queue::c.

bool std::operator> | ( | const queue< _Tp, _Sequence > & | __x,
|  | const queue< _Tp, _Sequence > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 282 of file stl_queue.h.

bool std::operator>= | ( | const queue< _Tp, _Sequence > & | __x,
|  | const queue< _Tp, _Sequence > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 295 of file stl_queue.h.